# Name

github

# Category

Bug System

# Description

Enables support for reading and writing back to GitHub and compatible systems such as GitHub Enterprise. See also the Bugsystems documentation for more information.

# Environment Variables

None

# Options

Option | Notes
--- | ---
`--github-annotations-limit=<int>` | Max number of GitHub Checks Annotations to attempt
`--github-api-url=<url>` | REST API URL (for GitHub Enterprise)
`--github-base-url=<url>` | Non-REST API URL (for GitHub Enterprise)
`--github-repo=<repo>` | `username/repository` identifier
`--github-token=<token>` | Token used to perform read and write operations

# Docker Notes

None

# Developer Notes

All of the command line settings may also be set via internal environment variables. However care must be taken to not step on robots that will also set some of these variables.